Subject: Re: linux-next: build failure after merge of the final tree (pwm tree related)

From: Thierry Reding <[email-masked]>
Date: Tue, 3 Jul 2012 12:00:49 +0200

On Tue, Jul 03, 2012 at 08:59:11AM +0000, Arnd Bergmann wrote:
> On Tuesday 03 July 2012, Thierry Reding wrote:
> > I came up with the attached patch. What do you think? It fixes the
> > PowerPC allyesconfig issue for me.
> 
> This one looks correct, but I would still do it the other way around,
> putting the depends statements into the locations of the other drivers.
> The main difference is that we can then independently convert the
> remaining drivers, without having merge conflicts in the same line
> every time we remove one of the dependencies.

The downside of that approach, however, is to make PWM override other
settings. For instance if you have TWL6030_PWM selected and then decide
to also select PWM, then the former will be automatically deselected to
satisfy the dependency. I'm not sure if that's desired.

Thierry